PERTALIFE - Bug #4179

Issue terkait tambahan validasi saat create Cuti belum ada WS/Absence Quota
02/04/2026 08:54 AM - Mr lkmal

Status: Assigned Start date: 02/04/2026
Priority: Urgent Due date: 02/10/2026
Assignee: mabhlil .. % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear team Developer,
Mohon bantuannya untuk pengecekan issue di apk mobile Pertalife dengan kondisi sebagai berikut:
- User mengajukan cuti saat absence quota / work schedule belum diinput oleh HR.

- Validasi “Please check your working schedule or absence quota. Contact HR” sudah muncul di Ul saat create cuti (ini kondisi nya
user baru pilih tanggal), namun saat user menekan tombol Submit, data tetap ter-posting.

Kondisi ini menyebabkan data di table runbizData menjadi tidak terisi value nya, sesuai dengan case di Redmine berikut:
http://remote.minovais.com:3000/redmine/issues/4176

Jadi saran saya, ketika user klik Submit diberi validasi yg sama “Please check your working schedule or absence quota. Contact HR”
agar data tidak ter-post ya.

Contoh data:

ReglID: 225194

EmplID Requester: 11531224 — Tiara
Start Date: 05 Januari 2027

End Date: 05 Januari 2027

Terima kasih.

Port: http://remote.minovais.com:62225/
Server: remote.minovais.com,1452

DB: MinovaES_Pertalife_ Prod_62225
Activation Code: PLI62225

History

#1 - 02/04/2026 09:11 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Mr Ikmal

coba ikmal,

ini khan kmrn mahlil abis update apk nya, sekalian ada perbaikan di button submit/approve untuk membaca validasi (before submit).
semoga ini udah tercover fixing nya. atau nanti coba tanya dl aja mahlil, kl issue ini kira2 udah masuk belum ke apk baru fixing nya.
Jelasin soal validasi before submit itu.

Tks

#2 - 02/04/2026 10:05 AM - Mr lkmal

- Assignee changed from Mr lkmal to Kezia Pawitra Yulianti

Sudah saya cek yg terakhir update dari mahlil pakai hp nya dhafin, ini tetap sama bu
contoh requestID: 225196
http://remote.minovais.com:3000/redmine/issues/4176
http://remote.minovais.com:62225/

#3 - 02/06/2026 09:08 AM - Mr lkmal

- Assignee changed from Kezia Pawitra Yulianti to mahlil ..

Mohon dibantu case ini yaa lil

#4 - 02/09/2026 09:22 AM - Kezia Pawitra Yulianti
- Due date set to 02/10/2026

- Priority changed from Normal to Urgent
